<?php

namespace App\Http\Controllers;

use App\Services\LiquidRenderer;
use Illuminate\Http\Request;

class HomeController extends Controller
{
    function __construct()
    {

    }

    public function index()
    {

        $cacheKey=getDistId().'-home';
        //模板支持多级目录，需要目录符号
        $output = LiquidRenderer::render('home.liquid', [

        ],$cacheKey);

        return response($output);

    }

    /*
     * 404页面
     */
    public function abort404() {
        $output = LiquidRenderer::render('404.liquid', [

        ]);

        return response($output);
    }
}
